Last Comment Bug 650081 - Fix ipc_channel_win.cpp WARNING about Connect called twice
: Fix ipc_channel_win.cpp WARNING about Connect called twice
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: IPC (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Benjamin Stover (:stechz)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-14 12:17 PDT by Benjamin Stover (:stechz)
Modified: 2011-06-12 02:16 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix ipc_channel_win.cpp WARNING about Connect called twice (1000 bytes, patch)
2011-04-14 13:11 PDT, Benjamin Stover (:stechz)
no flags Details | Diff | Splinter Review
Fix ipc_channel_win.cpp WARNING about Connect called twice (925 bytes, patch)
2011-04-14 15:51 PDT, Benjamin Stover (:stechz)
cjones.bugs: review+
Details | Diff | Splinter Review

Description Benjamin Stover (:stechz) 2011-04-14 12:17:00 PDT
I noticed that we were getting a strange warning on Windows IPC builds:
WARNING: Connect called twice: file e:/builds/moz2_slave/try-w32-dbg/build/ipc/chromium/src/chrome/common/ipc_channel_win.cc, line 178

This was fixed over a year ago in Chromium:
http://src.chromium.org/viewvc/chrome/trunk/src/ipc/ipc_channel_win.cc?revision=23569&view=markup

Perhaps we should consider updating to a more recent version?
Comment 1 Benjamin Stover (:stechz) 2011-04-14 12:23:31 PDT
Obviously a warning isn't a good reason to upgrade, but I'm sure there are legitimate fixes and other improvements we may want.
Comment 2 Josh Matthews [:jdm] (away until 9/3) 2011-04-14 12:29:17 PDT
cjones and bent should be in on this as well.
Comment 3 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-04-14 12:56:57 PDT
This warning has been known to be spurious forever and has been ignored.  Not worth bothering with IMHO.

We can't just pull from upstream because the chromium stuff has been rewritten several times since our initial import.  We've cherry-picked bug fixes when needed.  We're not interested in sharing the ipc/chromium code as written (for a variety of reasons), so it wouldn't make sense for us to spend time on it except for security bugs or big perf wins.

Unless you want to morph this bug to something more specific, like pulling a fix for the spurious warning, this bug is a WONTFIX.
Comment 4 Benjamin Stover (:stechz) 2011-04-14 13:04:24 PDT
Morphing to a fix for the warning then.
Comment 5 Benjamin Stover (:stechz) 2011-04-14 13:11:11 PDT
Created attachment 526091 [details] [diff] [review]
Fix ipc_channel_win.cpp WARNING about Connect called twice
Comment 6 Benjamin Stover (:stechz) 2011-04-14 15:51:59 PDT
Created attachment 526131 [details] [diff] [review]
Fix ipc_channel_win.cpp WARNING about Connect called twice

Used "try" as my compiler, and it fails. :/ Is it OK to just remove the darn
warning?
Comment 7 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-04-20 13:56:25 PDT
Comment on attachment 526131 [details] [diff] [review]
Fix ipc_channel_win.cpp WARNING about Connect called twice

Yeah.  Let's just wrap it in #ifndef CHROMIUM_MOZILLA_BUILD.
Comment 8 Benjamin Stover (:stechz) 2011-04-22 10:50:17 PDT
Pushed http://hg.mozilla.org/mozilla-central/rev/e60b8be7a97b
Comment 9 Dão Gottwald [:dao] 2011-06-12 02:16:56 PDT
bugspam

Note You need to log in before you can comment on or make changes to this bug.